#pragma once
#include "ActorInterface.h"
#include "wascommand.h"
#include "WASActor.h"

class CWASGetTalkName :
	public CWASCommand
{
public:
	CWASGetTalkName(CWASActor *pActor);
	~CWASGetTalkName(void);
	void ExecuteAsync(void);
	void SetParameter(LPCWSTR strUserIDs)
	{
		m_strEmpIDs = strUserIDs;		
	}
private:
	bool ParseAndEventFire(nfc::CIkXMLDom * pDom);	

protected:
	// override in drived class
	virtual void OnWasResponse(trid_t /*trid*/, bool /*bSuccess*/, int /*nWinINetErrorCode*/, int /*nHttpResponseCode*/, 
		LPCSTR /*szWasResCodeInHeader*/, 
		LPCSTR /*szWasResCodeInXml*/,
		nfc::CIkXMLDom * /*pDom*/);

	virtual void OnRequestTimeout(CHttpFacade * /*pHttpF*/, DWORD /*dwSeconds*/);

private:
	WSTRING m_strEmpIDs;
	std::vector<NT_TALKNAME_DATA> m_listTalknameData;
};
